# Continuwuity Community Guidelines

Welcome to the Continuwuity commuwunity! We're excited to have you here. Continuwuity is a
continuation of the conduwuit homeserver, which in turn is a hard-fork of the Conduit homeserver,
aimed at making Matrix more accessible and inclusive for everyone.

This space is dedicated to fostering a positive, supportive, and welcoming environment for everyone.
These guidelines apply to all Continuwuity spaces, including our Matrix rooms and any other
community channels that reference them. We've written these guidelines to help us all create an
environment where everyone feels safe and respected.

For code and contribution guidelines, please refer to the
[Contributor's Covenant](https://forgejo.ellis.link/continuwuation/continuwuity/src/branch/main/CODE_OF_CONDUCT.md).
Below are additional guidelines specific to the Continuwuity community.

## Our Values and Expected Behaviors

We strive to create a community based on mutual respect, collaboration, and inclusivity. We expect
all members to:

1. **Be Respectful and Inclusive**: Treat everyone with respect. We're committed to a community
   where everyone feels safe, regardless of background, identity, or experience. Discrimination,
   harassment, or hate speech won't be tolerated. Remember that each person experiences the world
   differently; share your own perspective and be open to learning about others'.

2. **Be Positive and Constructive**: Engage in discussions constructively and support each other.
   If you feel angry or frustrated, take a break before participating. Approach disagreements with
   the goal of understanding, not winning. Focus on the issue, not the person.

3. **Communicate Clearly and Kindly**: Our community includes neurodivergent individuals and those
   who may not appreciate sarcasm or subtlety. Communicate clearly and kindly. Avoid ambiguity and
   ensure your messages can be easily understood by all. Avoid placing the burden of education on
   marginalized groups; please make an effort to look into your questions before asking others for
   detailed explanations.

4. **Be Open to Improving Inclusivity**: Actively participate in making our community more inclusive.
   Report behaviour that contradicts these guidelines (see Reporting and Enforcement below) and be
   open to constructive feedback aimed at improving our community. Understand that discussing
   negative experiences can be emotionally taxing; focus on the message, not the tone.

5. **Commit to Our Values**: Building an inclusive community requires ongoing effort from everyone.
   Recognise that addressing bias and discrimination is a continuous process that needs commitment
   and action from all members.

## Unacceptable Behaviors

To ensure everyone feels safe and welcome, the following behaviors are considered unacceptable
within the Continuwuity community:

* **Harassment and Discrimination**: Avoid offensive comments related to background, family status,
  gender, gender identity or expression, marital status, sex, sexual orientation, native language,
  age, ability, race and/or ethnicity, caste, national origin, socioeconomic status, religion,
  geographic location, or any other dimension of diversity. Don't deliberately misgender someone or
  question the legitimacy of their gender identity.

* **Violence and Threats**: Do not engage in any form of violence or threats, including inciting
  violence towards anyone or encouraging self-harm. Posting or threatening to post someone else's
  personally identifying information ("doxxing") is also forbidden.

* **Personal Attacks**: Disagreements happen, but they should never turn into personal attacks.
  Don't insult, demean, or belittle others.

* **Unwelcome Attention or Contact**: Avoid unwelcome sexual attention, inappropriate physical
  contact (or simulation thereof), sexualized comments, jokes, or imagery.

* **Disruption**: Do not engage in sustained disruption of discussions, events, or other
  community activities.

* **Bad Faith Actions**: Do not intentionally make false reports or otherwise abuse the reporting
  process.

This is not an exhaustive list. Any behaviour that makes others feel unsafe or unwelcome may be
subject to enforcement action.

## Matrix Community

These Community Guidelines apply to the entire
[Continuwuity Matrix Space](https://matrix.to/#/#space:continuwuity.org) and its rooms, including:

### [#continuwuity:continuwuity.org](https://matrix.to/#/#continuwuity:continuwuity.org)

This room is for support and discussions about Continuwuity. Ask questions, share insights, and help
each other out while adhering to these guidelines.

We ask that this room remain focused on the Continuwuity software specifically: the team are
typically happy to engage in conversations about related subjects in the off-topic room.

### [#offtopic:continuwuity.org](https://matrix.to/#/#offtopic:continuwuity.org)

For off-topic community conversations about any subject. While this room allows for a wide range of
topics, the same guidelines apply. Please keep discussions respectful and inclusive, and avoid
divisive or stressful subjects like specific country/world politics unless handled with exceptional
care and respect for diverse viewpoints.

General topics, such as world events, are welcome as long as they follow the guidelines. If a member
of the team asks for the conversation to end, please respect their decision.

### [#dev:continuwuity.org](https://matrix.to/#/#dev:continuwuity.org)

This room is dedicated to discussing active development of Continuwuity, including ongoing issues or
code development. Collaboration here must follow these guidelines, and please consider raising
[an issue](https://forgejo.ellis.link/continuwuation/continuwuity/issues) on the repository to help
track progress.

## Reporting and Enforcement

We take these Community Guidelines seriously to protect our community members. If you witness or
experience unacceptable behaviour, or have any other concerns, please report it.

**How to Report:**

* **Alert Moderators in the Room:** If you feel comfortable doing so, you can address the issue
  publicly in the relevant room by mentioning the moderation bot, `@rock:continuwuity.org`, which
  will immediately alert all available moderators.
* **Direct Message:** If you're not comfortable raising the issue publicly, please send a direct
  message (DM) to one of the room moderators.

Reports will be handled with discretion. We will investigate promptly and thoroughly.

**Enforcement Actions:**

Anyone asked to stop unacceptable behaviour is expected to comply immediately. Failure to do so, or
engaging in prohibited behaviour, may result in enforcement action. Moderators may take actions they
deem appropriate, including but not limited to:

1. **Warning**: A direct message or public warning identifying the violation and requesting
   corrective action.
2. **Temporary Mute**: Temporary restriction from participating in discussions for a specified
   period.
3. **Kick or Ban**: Removal from a room (kick) or the entire community space (ban). Egregious or
   repeated violations may result in an immediate ban. Bans are typically permanent and reviewed
   only in exceptional circumstances.

Retaliation against those who report concerns in good faith will not be tolerated and will be
subject to the same enforcement actions.

Together, let's build and maintain a community where everyone feels valued, safe, and respected.

— The Continuwuity Moderation Team
